@mixin light(){
  --hljs-base:  #fafafa;
  --hljs-background: #fafafa;
  --hljs-comment: #a0a1a7;
  --hljs-keyword: #a626a4;
  --hljs-name: #e45649;
  --hljs-literal: #0184bb;
  --hljs-attribute: #50a14f;
  --hljs-number: #986801;
  --hljs-link: #4078f2;
  --hljs-class: #c18401;
}

@mixin dark(){
  --hljs-base: #abb2bf;
  --hljs-background: #282c34;
  --hljs-comment: #5c6370;
  --hljs-keyword: #c678dd;
  --hljs-name: #e06c75;
  --hljs-literal: #56b6c2;
  --hljs-attribute: #98c379;
  --hljs-number: #d19a66;
  --hljs-link: #61aeee;
  --hljs-class: #e6c07b;
}

// Default theme and  dark variant
body,
.rui {
  @include light();

  /* stylelint-disable scss/media-feature-value-dollar-variable */
  @media (prefers-color-scheme: dark) {
    @include dark();
  }
  /* stylelint-enable scss/media-feature-value-dollar-variable */

  &-theme {
    &--light {
      @include light();
    }

    &--dark{
      @include dark();
    }
  }
}

/* stylelint-disable no-descending-specificity, selector-class-pattern, order/properties-order */
pre > code {
  display: block;
  padding: 1em;
  overflow-x: auto;
}

code.hljs {
  padding: 3px 5px;
}

.hljs {
  color: var(--hljs-base);
  background: var(--hljs-background);
}

.hljs-comment, .hljs-quote {
  color: var(--hljs-comment);
  font-style: italic
}

.hljs-doctag, .hljs-formula, .hljs-keyword {
  color: var(--hljs-comment);
}

.hljs-deletion, .hljs-name, .hljs-section, .hljs-selector-tag, .hljs-subst {
  color: var(--hljs-name);
}

.hljs-literal {
  color: var(--hljs-literal);
}

.hljs-addition, .hljs-attribute, .hljs-meta .hljs-string, .hljs-regexp, .hljs-string {
  color: var(--hljs-attribute);
}

.hljs-attr, .hljs-number, .hljs-selector-attr, .hljs-selector-class, .hljs-selector-pseudo, .hljs-template-variable, .hljs-type, .hljs-variable {
  color: var(--hljs-number);
}

.hljs-bullet, .hljs-link, .hljs-meta, .hljs-selector-id, .hljs-symbol, .hljs-title {
  color: var(--hljs-link);
}

.hljs-built_in, .hljs-class .hljs-title, .hljs-title.class_ {
  color: var(--hljs-class);
}

.hljs-emphasis {
  font-style: italic;
}

.hljs-strong {
  font-weight: 700;
}

.hljs-link {
  text-decoration: underline;
}

/* stylelint-enable no-descending-specificity, selector-class-pattern, order/properties-order */


// HighlightJS overrides
code[class^="language-"]{
  padding:0;
  border-radius: 0;
  background-color: inherit;
}
